{
  "name": "output/manager/product/product_work/*.pug_actual_grid.json",
  "options": {
    "grid_optionZ": {
      "header_heightZ": 46,
      "get_row_style": {
        "green": "1 > 0"
      }
    }
  },
  "columns_not_in_use": [
    {
      "variable": "prwo_json_data_work_shift",
      "width": 60,
      "name": "Vuoro"
    },
    {
      "variable": "pr_name",
      "width": 100,
      "name": "Tuotteen nimi"
    },
    {
      "variable": "prwo_work_hours_per_amout",
      "width": 60,
      "name": "Työaika",
      "format": "%'.2f",
      "type": "r"
    },
    {
      "field": "prwo_product_id",
      "width": 80,
      "name": "Tuote"
    },
    {
      "variable": "prwo_record_type",
      "width": 90,
      "name": "record_type"
    }
  ],
  "columns": [
    {
      "field": "prwo_resource_id",
      "width": 50,
      "name": "KR",
      "cellClassRules": {
        "grey": "data.timecard_shift != null"
      }
    },
    {
      "field": "prwo_person_id",
      "width": 50,
      "name": "Henkilö",
      "cellClassRules": {
        "grey": "data.timecard_shift != null"
      }
    },
    {
      "field": "prwo_production_lot",
      "width": 50,
      "name": "Valm. erä",
      "cellClassRules": {
        "grey": "data.timecard_shift != null"
      }
    },
    {
      "field": "prwo_produced_amount",
      "width": 60,
      "name": "Tehty määrä",
      "cellClassRules": {
        "grey": "data.timecard_shift != null"
      }
    },
    {
      "fieldX": "prwo_event_time",
      "record_type": "start",
      "field": "prwo_json_data_start_date",
      "width": 60,
      "name": "Alkupäivä",
      "cellClassRules": {
        "grey": "data.timecard_shift != null"
      }
    },
    {
      "fieldX": "prwo_event_time",
      "record_type": "start",
      "field": "prwo_json_data_start_time",
      "width": 50,
      "name": "Alkuaika",
      "cellClassRules": {
        "grey": "data.timecard_shift != null"
      }
    },
    {
      "fieldX": "prwo_event_time",
      "record_type": "end",
      "info": "prwo_json_data_end_date dows not work because 4d field name is date_ ending with '_'",
      "field": "prwo_json_data_date",
      "width": 60,
      "name": "Loppupäivä",
      "cellClassRules": {
        "grey": "data.timecard_shift != null"
      }
    },
    {
      "fieldX": "prwo_event_time",
      "record_type": "end",
      "field": "prwo_json_data_end_time",
      "width": 50,
      "name": "Loppuaika",
      "cellClassRules": {
        "grey": "data.timecard_shift != null"
      }
    },
    {
      "field": "prwo_json_data_start_work_shift",
      "width": 50,
      "name": "Al. vuoro",
      "cellClassRules": {
        "grey": "data.timecard_shift != null"
      }
    },
    {
      "field": "prwo_json_data_work_shift",
      "width": 50,
      "name": "Lop. vuoro",
      "cellClassRules": {
        "grey": "data.timecard_shift != null"
      }
    },
    {
      "variable": "timecard_shift",
      "width": 50,
      "name": "Kellok.",
      "cellClassRules": {
        "grey": "data.timecard_shift != null"
      }
    },
    {
      "field": "prwo_json_data_start_subtype",
      "width": 60,
      "name": "Al. alatyyppi",
      "cellClassRules": {
        "grey": "data.timecard_shift != null"
      }
    },
    {
      "field": "prwo_json_data_subtype",
      "width": 60,
      "name": "Lop. alatyyppi",
      "cellClassRules": {
        "grey": "data.timecard_shift != null"
      }
    },
    {
      "field": "prwo_description",
      "width": 100,
      "name": "Kuvaus",
      "cellClassRules": {
        "grey": "data.timecard_shift != null"
      }
    },
    {
      "field": "prwo_work_phase_number",
      "width": 40,
      "name": "Työvaihe",
      "cellClassRules": {
        "grey": "data.timecard_shift != null"
      }
    }
  ]
}
